## python-ptk 1.3.1

=== Makefile ===

PYTHON?=python3

all:
	@echo Targets:
	@echo   all:       This help
	@echo   prepare:   Refresh generated files
	@echo   unittests: All unit tests
	@echo   coverage:  Test coverage
	@echo   lint:      Pylint
	@echo   nuke:      Delete all unversioned files
	@echo   documentation: Documentation
	@echo   tarball:   Source distribution

prepare:
	$(PYTHON) ./prepare.py

unittests:
	$(PYTHON) tests/test_all.py

coverage:
	$(PYTHON) -m coverage run --branch --omit "tests/*,/usr/*" tests/test_all.py
	$(PYTHON) -m coverage html

lint:
	-$(PYTHON) -m pylint ptk > lint.html

nuke:
	hg purge --all

documentation:
	cd doc; $(MAKE) html
	rm -rf html
	mv doc/build/html .

tarball: documentation
	$(PYTHON) setup.py sdist --formats=bztar

release: documentation
	python ./setup.py sdist upload -r pypi

=== debian/changelog ===
python-ptk (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #810619).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jan 2016 13:17:20 +0100

=== debian/control ===
Source: python-ptk
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends-Indep: debhelper (>= 9~)
 , dh-python
 , python-all (>= 2.7), python3-all (>= 3.5)
 , python-six, python3-six
 , python3-sphinx
Standards-Version: 3.9.6
Section: python
Homepage: https://bitbucket.org/fraca7/ptk
# Asynchronous parsing requires 3.5.
# d/rules removes async sources when building the Python2 package, but
# the documentation requires Python >= 3.5.
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.5
Vcs-Git: git://anonscm.debian.org/collab-maint/python-ptk.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-ptk.git;a=summary

Package: python-ptk
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-ptk-doc, python-twisted-core
Description: parser for Python 2 with support for asynchronous input
 PTK implements LR(1) parsing in Python. Compared to compiled tools
 like Bison, it attempts to spare programmer's time. Python sources
 describe both the grammar and the callbacks, avoiding code
 generation.  Various inputs are accepted: Python 3 asynchronous
 streams, PyZipFile archives, Twisted Deferred objects.
 .
 This package installs the library for Python 2.

Package: python3-ptk
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-ptk-doc, python3 (>= 3.5), python3-twisted
Description: parser for Python 3 with support for asynchronous input
 PTK implements LR(1) parsing in Python. Compared to compiled tools
 like Bison, it attempts to spare programmer's time. Python sources
 describe both the grammar and the callbacks, avoiding code
 generation.  Various inputs are accepted: Python 3 asynchronous
 streams, PyZipFile archives, Twisted Deferred objects.
 .
 This package installs the library for Python 3.

Package: python-ptk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: parser for Python with support for asynchronous input (documentation)
 PTK implements LR(1) parsing in Python. Compared to compiled tools
 like Bison, it attempts to spare programmer's time. Python sources
 describe both the grammar and the callbacks, avoiding code
 generation.  Various inputs are accepted: Python 3 asynchronous
 streams, PyZipFile archives, Twisted Deferred objects.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# See https://wiki.debian.org/Python/LibraryStyleGuide.

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with=python2,python3,sphinxdoc

# ptk/async_*.py files contain the "async def" syntax, causing a
# compilation error for versions << 3.5.
PYBUILD_TARGETS := $(addprefix override_dh_auto_,configure build test install)
.PHONY: $(PYBUILD_TARGETS)
$(PYBUILD_TARGETS): override_dh_auto_%:
	mv ptk/async_*.py debian
	pybuild --$* --name=ptk --pyver="`pyversions -vr`" $(PYBUILD_ARGS)
	mv debian/async_*.py ptk
	pybuild --$* --name=ptk --pyver="`py3versions -vr`" $(PYBUILD_ARGS)

# README.rst and html are also mentioned in python-ptk-doc.doc*.
override_dh_auto_build: README.rst html
README.rst:
	$(MAKE) prepare
# Forbid internet access.
# Select Python3, able to parse async def in imported Python modules.
html:
	PYTHONPATH=. http_proxy='127.0.0.1:9' $(MAKE) documentation \
	  SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

# Discover requires an explicit start-directory to find anything.
# Only run test_all.py, which skips twisted if it is not installed.
override_dh_auto_test: PYBUILD_ARGS := \
  "--test-args=--start-directory=tests --pattern=test_all.py"

# Avoid pybuild when cleaning, as it creates subdirectories.
.PHONY: override_dh_auto_clean
override_dh_auto_clean:
  # Versions > 1.2.0 should leave no doc/html in the way anymore.
	rm -fr .pybuild doc/build html
	rm -f README.rst
	find . -name "*.pyc" -delete

=== debian/tests/control ===
Test-Command: python2 tests/test_all.py -v
Depends: python-ptk, python-twisted-core
Restrictions: allow-stderr

Test-Command: python3 tests/test_all.py -v
Depends: python3-ptk, python3-twisted
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ptk/ptk-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ptk 1.3.2

=== debian/changelog ===
python-ptk (1.3.2-2) unstable; urgency=medium

  * Debhelper 10. Remove explicit rules target confusing dh.
  * Standards-Version: 4.0.1 (no changes).
  * Drop X-Python*-Version, redundant in Debian and confusing debcheck.
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
  * Watch for new version at bitbucket, pypi seems outdated.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 12 Aug 2017 21:55:18 +0200

python-ptk (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.8 (no changes).
  * Simplify watch file thanks to version 4 format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 08 Jul 2016 17:30:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,14 @@
 Source: python-ptk
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends-Indep: debhelper (>= 9~)
+Build-Depends-Indep: debhelper (>= 10)
  , dh-python
  , python-all (>= 2.7), python3-all (>= 3.5)
  , python-six, python3-six
  , python3-sphinx
-Standards-Version: 3.9.6
+Standards-Version: 4.0.1
 Section: python
 Homepage: https://bitbucket.org/fraca7/ptk
-# Asynchronous parsing requires 3.5.
-# d/rules removes async sources when building the Python2 package, but
-# the documentation requires Python >= 3.5.
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-ptk.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-ptk.git;a=summary
 
@@ -45,6 +40,7 @@
 
 Package: python-ptk-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: parser for Python with support for asynchronous input (documentation)

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,7 @@
 
 # See https://wiki.debian.org/Python/LibraryStyleGuide.
 
-POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
-  build-indep clean
-.PHONY: $(POLICY_TARGETS)
-$(POLICY_TARGETS):
+%:
 	dh $@ --with=python2,python3,sphinxdoc
 
 # ptk/async_*.py files contain the "async def" syntax, causing a

=== debian/watch ===
version=4
https://bitbucket.org/fraca7/ptk/downloads/?tab=tags \
.*/release@ANY_VERSION@@ARCHIVE_EXT@

## python-ptk 1.3.5

=== debian/changelog ===
python-ptk (1.3.5-2) unstable; urgency=medium

  * Drop obsolete version restriction python-all >= 2.7.
  * Standards-Version: 4.2.1.
  * Rules-Requires-Root: no.
  * Stop suggesting python3, which is already in Depends.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 02 Nov 2018 19:55:31 +0100

python-ptk (1.3.5-1) unstable; urgency=medium

  * New upstream release. Repackage again without generated docs
    (its removal by upstream was not deliberate).
  * Build-Depend, Recommend: python3-async-generator,
    The python3 tests depend on it for asynchronous streams.
  * Add python minimal versions.
  * Revert removal of replace_install_requires_in_setup_py.diff
    (its absence modifies runtime dependencies).
  * Prevent network access during build with https as well as http.
  * Prefer pypi upstream tarballs over bitbucket ones.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 00:23:30 +0200

python-ptk (1.3.4-1) unstable; urgency=medium

  * New upstream release. Stop repackaging, backup README.rst.
  * Drop obsolete replace_install_requires_in_setup_py.diff.
  * Switch to debhelper 11. Install documentation to main doc dir.
  * Standards-Version 4.1.4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 21 Apr 2018 22:45:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: python-ptk
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends-Indep: debhelper (>= 10)
- , dh-python
- , python-all (>= 2.7), python3-all (>= 3.5)
- , python-six, python3-six
- , python3-sphinx
-Standards-Version: 4.0.1
+Build-Depends-Indep: debhelper (>= 11),
+ dh-python,
+ python-all, python3-all (>= 3.5),
+ python-six, python3-six,
+ python3-async-generator,
+ python3-sphinx,
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Section: python
 Homepage: https://bitbucket.org/fraca7/ptk
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-ptk.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-ptk.git;a=summary
+Vcs-Browser: https://salsa.debian.org/debian/python-ptk
+Vcs-Git: https://salsa.debian.org/debian/python-ptk.git
+X-Python3-Version: >= 3.5
 
 Package: python-ptk
 Architecture: all
@@ -28,13 +31,16 @@
 Package: python3-ptk
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python-ptk-doc, python3 (>= 3.5), python3-twisted
+Recommends: python3-async-generator
+Suggests: python-ptk-doc, python3-twisted
 Description: parser for Python 3 with support for asynchronous input
  PTK implements LR(1) parsing in Python. Compared to compiled tools
  like Bison, it attempts to spare programmer's time. Python sources
  describe both the grammar and the callbacks, avoiding code
  generation.  Various inputs are accepted: Python 3 asynchronous
  streams, PyZipFile archives, Twisted Deferred objects.
+ .
+ python3-async-generator is required for asynchronous streams.
  .
  This package installs the library for Python 3.

=== debian/tests/control ===
# As long as the dependencies differ between python2 and python3,
# these stanzas cannot be replaced with Testsuite:
# autopkgtest-pkg-python.

Test-Command: python2 tests/test_all.py -v
Depends: python-ptk, python-twisted-core
Restrictions: allow-stderr

Test-Command: python3 tests/test_all.py -v
Depends: python3-ptk, python3-twisted, python3-async-generator
Restrictions: allow-stderr

## python-ptk 1.3.6

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	$(PYTHON) -m coverage html
 
 lint:
-	-$(PYTHON) -m pylint ptk > lint.html
+	-$(PYTHON) -m pylint ptk
 
 nuke:
 	hg purge --all

=== debian/changelog ===
python-ptk (1.3.6-2) unstable; urgency=medium

  * Reupload to unstable.
  * Standards-Version: 4.4.0

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 08 Jul 2019 12:02:17 +0200

python-ptk (1.3.6-1) experimental; urgency=medium

  * New upstream release, dropping support for python2.
  * Debhelper 12.
  * Standards-Version 4.3.0.
  * Use minimal autopkgtest-pkg-python testsuite.
  * Use sphinxdoc:Built-Using debhelper substitution variable.
  * Use python3-ptk as the main doc package.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 23 Apr 2019 13:38:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,20 @@
 Source: python-ptk
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends-Indep: debhelper (>= 11),
+Build-Depends:
+ debhelper-compat (= 12),
  dh-python,
- python-all, python3-all (>= 3.5),
- python-six, python3-six,
+ python3-all (>= 3.5),
  python3-async-generator,
  python3-sphinx,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Section: python
 Homepage: https://bitbucket.org/fraca7/ptk
 Vcs-Browser: https://salsa.debian.org/debian/python-ptk
 Vcs-Git: https://salsa.debian.org/debian/python-ptk.git
 X-Python3-Version: >= 3.5
-
-Package: python-ptk
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Suggests: python-ptk-doc, python-twisted-core
-Description: parser for Python 2 with support for asynchronous input
- PTK implements LR(1) parsing in Python. Compared to compiled tools
- like Bison, it attempts to spare programmer's time. Python sources
- describe both the grammar and the callbacks, avoiding code
- generation.  Various inputs are accepted: Python 3 asynchronous
- streams, PyZipFile archives, Twisted Deferred objects.
- .
- This package installs the library for Python 2.
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-ptk
 Architecture: all
@@ -49,6 +37,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: parser for Python with support for asynchronous input (documentation)
  PTK implements LR(1) parsing in Python. Compared to compiled tools
  like Bison, it attempts to spare programmer's time. Python sources

=== debian/rules ===
#!/usr/bin/make -f

# See https://wiki.debian.org/Python/LibraryStyleGuide.

%:
	dh $@ --with=python3,sphinxdoc

PYBUILD_TARGETS := $(addprefix override_dh_auto_,configure build test install)
.PHONY: $(PYBUILD_TARGETS)
$(PYBUILD_TARGETS): override_dh_auto_%:
	pybuild --$* --name=ptk --pyver="`py3versions -vr`" $(PYBUILD_ARGS)

# README.rst and html are also mentioned in python-ptk-doc.doc*.
override_dh_auto_build: README.rst html
README.rst:
	$(MAKE) prepare
# Forbid internet access.
# Select Python3, able to parse async def in imported Python modules.
html:
	https_proxy=127.0.0.1:9 \
	PYTHONPATH=. http_proxy='127.0.0.1:9' $(MAKE) documentation \
	  SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

# Discover requires an explicit start-directory to find anything.
# Only run test_all.py, which skips twisted if it is not installed.
override_dh_auto_test: PYBUILD_ARGS := \
  "--test-args=--start-directory=tests --pattern=test_all.py"

# Avoid pybuild when cleaning, as it creates subdirectories.
.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	rm -fr .pybuild doc/build html
	find . -name '*.pyc' -delete
	rm -f README.rst

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs --package=python-ptk-doc --doc-main-package=python3-ptk
	dh_installdocs --remaining-packages

=== debian/tests/control ===
Test-Command: python3 tests/test_all.py -v
Depends: python3-ptk, python3-twisted, python3-async-generator
Restrictions: allow-stderr

=== debian/watch ===
version=4

# Upstream develops on bitbucket, but releases on pypi.
# Bitbuckets automatically generated tarballs are not easy to configure.

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ptk/ptk@ANY_VERSION@@ARCHIVE_EXT@

## python-ptk 1.3.7+dfsg

=== debian/changelog ===
python-ptk (1.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release. Repackage with explicit +dfsg suffix.
  * Debhelper 13 and debhelper-sequence-* syntax.
  * Standards-Version 4.5.0.
  * Update control/Homepage and copyright/Source.
  * Drop obsolete Python version restrictions.
  * Simplify debian/rules.
  * Stop running unit tests as continuous integration tests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 08 May 2020 20:11:08 +0000

## python-ptk 1.3.8%2Bdfsg

=== debian/watch ===
version=4

# Upstream develops on github, but releases on pypi (see README.rst.in).

opts=\
  repacksuffix=+dfsg,dversionmangle=auto,\
  uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ptk/ptk@ANY_VERSION@@ARCHIVE_EXT@

## python-ptk 1.3.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	-$(PYTHON) -m pylint ptk
 
 nuke:
-	hg purge --all
+	git clean -dxf
 
 documentation:
 	cd doc; $(MAKE) html

=== requirements.txt ===
sphinx
async_generator
coverage
pylint

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ptk.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ptk.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ptk"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ptk"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-ptk (1.3.8+dfsg-4) unstable; urgency=medium

  * Replace distutils with pyproject+setuptools.
  * Drop obsolete dependency on python3-async-generator.
  * Mark python3-ptk as Multi-Arch: foreign.
  * Update watch file to format version 5.
  * Enable salsa continuous integration.
  * Tell gbp to also clone the upstream VCS.
  * Drop obsolete Rules-Requires-Root field.
  * Add upstream/metadata.
  * Switch to dh-sequence-zz-debputy-rrr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 30 Oct 2025 16:34:53 +0000

python-ptk (1.3.8+dfsg-3) unstable; urgency=medium

  * Update copyright years
  * Update Standards-Version
  * Depend: python3-setuptools, removed from python.  Closes: #1080758
  * Remove obsolete dash in setup.cfg/description-file field name

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 19 Sep 2024 09:27:04 +0000

python-ptk (1.3.8+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Update copyright years
  * Remove variables from d/rules (neither used nor exported)
  * Add minimal debian/gbp.conf

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Dec 2022 17:18:16 +0100

python-ptk (1.3.8+dfsg-1) unstable; urgency=medium

  * New upstream.
  * In copyright file, merge paragraphs with the same license.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 05 Nov 2020 17:57:34 +0000

=== debian/control ===
Source: python-ptk
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-zz-debputy-rrr,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.7.2
Section: python
Homepage: https://github.com/fraca7/ptk
Vcs-Browser: https://salsa.debian.org/debian/python-ptk
Vcs-Git: https://salsa.debian.org/debian/python-ptk.git
Testsuite: autopkgtest-pkg-python

Package: python3-ptk
Architecture: all
Multi-Arch: foreign
Suggests: python-ptk-doc, python3-twisted
Description: parser for Python 3 with support for asynchronous input
 PTK implements LR(1) parsing in Python. Compared to compiled tools
 like Bison, it attempts to spare programmer's time. Python sources
 describe both the grammar and the callbacks, avoiding code
 generation.  Various inputs are accepted: Python 3 asynchronous
 streams, PyZipFile archives, Twisted Deferred objects.
 .
 This package installs the library for Python 3.

Package: python-ptk-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Description: parser for Python with support for asynchronous input (documentation)
 PTK implements LR(1) parsing in Python. Compared to compiled tools
 like Bison, it attempts to spare programmer's time. Python sources
 describe both the grammar and the callbacks, avoiding code
 generation.  Various inputs are accepted: Python 3 asynchronous
 streams, PyZipFile archives, Twisted Deferred objects.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# See https://wiki.debian.org/Python/LibraryStyleGuide.
export PYBUILD_NAME := ptk
%:
	dh $@ --buildsystem=pybuild

# README.rst and html are also mentioned in python-ptk-doc.doc*.
# And in debian/clean.
.PHONY: execute_after_dh_auto_build
execute_after_dh_auto_build:
# Refresh README.rst.
	python3 prepare.py
# Refresh doc/build/html/.
	$(MAKE) -C doc html

.PHONY: override_dh_auto_test
override_dh_auto_test:
	python3 tests/test_all.py

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs --package=python-ptk-doc --doc-main-package=python3-ptk
	dh_installdocs --remaining-packages

=== debian/watch ===
Version: 5

# Upstream develops on github, but releases on pypi (see README.rst.in).
Repack-Suffix: +dfsg
Dversion-Mangle: auto
Uversion-Mangle: s/(rc|a|b|c)/~$1/
Source: https://pypi.debian.net/ptk
Matching-Pattern: /ptk/ptk@ANY_VERSION@@ARCHIVE_EXT@
